FUNCTION TEMPLAT(3)

NAME
boost::algorithm::join_if - Conditional join algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/regex.hpp>
template<typename SequenceSequenceT, typename Range1T, typename CharT,
         typename RegexTraitsT>
  range_value< SequenceSequenceT >::type
  join_if(const SequenceSequenceT & Input, const Range1T & Separator,
          const basic_regex< CharT, RegexTraitsT > & Rx,
          match_flag_type Flags = match_default);

DESCRIPTION

This algorithm joins all strings in a 'list' into one long string. Segments are concatenated by given separator. Only segments that match the given regular expression will be added to the result

This is a specialization of join_if algorithm.

Parameters:

    Flags
        Regex options

    Input
        A container that holds the input strings. It must be a container-of-containers.

    Rx
        A regular expression

    Separator
        A string that will separate the joined segments.

Returns:
    Concatenated string.

Notes:
    This function provides the strong exception-safety guarantee